Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem.wsht
Class SyncWSHumanTaskHandler

    java.lang.Object
      org.jbpm.process.workitem.wsht.SyncWSHumanTaskHandler

All Implemented Interfaces:
  WorkItemHandler

Deprecated.

    @Deprecated
    public class SyncWSHumanTaskHandler

extends Object
implements WorkItemHandler

Constructor Summary
`SyncWSHumanTaskHandler()` Deprecated.
`SyncWSHumanTaskHandler(TaskService client)` Deprecated.
`SyncWSHumanTaskHandler(TaskService client, KnowledgeRuntime session)` Deprecated.
`SyncWSHumanTaskHandler(TaskService client, KnowledgeRuntime session, OnErrorAction action)` Deprecated.
`SyncWSHumanTaskHandler(TaskService client, OnErrorAction action)` Deprecated.

Method Summary
`void` | `abortWorkItem(WorkItem workItem, WorkItemManager manager)` Deprecated. The given work item should be aborted.
`void` | `connect()` Deprecated.
`void` | `dispose()` Deprecated.
`void` | `executeWorkItem(WorkItem workItem, WorkItemManager manager)` Deprecated. The given work item should be executed.
`void` | `setAction(OnErrorAction action)` Deprecated.
`void` | `setClient(TaskService client)` Deprecated.
`void` | `setConnection(String ipAddress, int port)` Deprecated.
`void` | `setLocal(boolean local)` Deprecated.
`void` | `setManager(WorkItemManager manager)` Deprecated.
`void` | `setSession(KnowledgeRuntime session)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyncWSHumanTaskHandler

    public SyncWSHumanTaskHandler()

  Deprecated.

### SyncWSHumanTaskHandler

    public SyncWSHumanTaskHandler(TaskService client)

  Deprecated.

### SyncWSHumanTaskHandler

    public SyncWSHumanTaskHandler(TaskService client,
                                  KnowledgeRuntime session)

  Deprecated.

### SyncWSHumanTaskHandler

    public SyncWSHumanTaskHandler(TaskService client,
                                  OnErrorAction action)

  Deprecated.

### SyncWSHumanTaskHandler

    public SyncWSHumanTaskHandler(TaskService client,
                                  KnowledgeRuntime session,
                                  OnErrorAction action)

  Deprecated.

Method Detail

### setConnection

    public void setConnection(String ipAddress,
                              int port)

  Deprecated.

### setClient

    public void setClient(TaskService client)

  Deprecated.

### setAction

    public void setAction(OnErrorAction action)

  Deprecated.

### setSession

    public void setSession(KnowledgeRuntime session)

  Deprecated.

### connect

    public void connect()

  Deprecated.

### setLocal

    public void setLocal(boolean local)

  Deprecated.

### setManager

    public void setManager(WorkItemManager manager)

  Deprecated.

### executeWorkItem

    public void executeWorkItem(WorkItem workItem,
                                WorkItemManager manager)

  Deprecated.
  Description copied from interface: `WorkItemHandler`
  The given work item should be executed.

  Specified by:
    `executeWorkItem` in interface `WorkItemHandler`
  Parameters:
    `workItem` - the work item that should be executed
    `manager` - the manager that requested the work item to be executed

### dispose

    public void dispose()
                 throws Exception

  Deprecated.
  Throws:
    `Exception`

### abortWorkItem

    public void abortWorkItem(WorkItem workItem,
                              WorkItemManager manager)

  Deprecated.
  Description copied from interface: `WorkItemHandler`
  The given work item should be aborted.

  Specified by:
    `abortWorkItem` in interface `WorkItemHandler`
  Parameters:
    `workItem` - the work item that should be aborted
    `manager` - the manager that requested the work item to be aborted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.